/* 
*
* transportmedel.se by: kzerozero 
* Started: 2021-04-22 
* Last updated: 2021-04-23 
* Basic Reset and Common styles for client and admin GUI:s
*
*/
/* some basic reset */
*, *::before, *::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html, body {
  font-size: 100%;
  line-height: 1.6;
  font-family: 'Open Sans', sans-serif;
  letter-spacing: 0.025rem;
  position: relative;
  /* Prevent overscroll bounce */
  overscroll-behavior: none;
  background: var(--main-bg);
  color: var(--main-color);
}

html {
  scroll-behavior: smooth;
}

input, button, select, textarea {
  /* prevent ios resize */
  font-size: 1rem;
  border: 1px solid #ccc;
  background-color: #fff;
  background-image: none;
  border-radius: 0.25rem;
  padding: 0.375rem 0.75rem;
  margin-bottom: 0.25rem;
  line-height: 1.42857143;
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus
input:-webkit-autofill, 
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  font-size: 1rem;
  /* Remove Chromes idiotic yellow background color */
  -webkit-box-shadow: 0 0 0px 1000px #fff inset;
}

/*
header, main, 
footer, 
*/
nav, article, section, 
div, 
ul, ol, li {
  display: flex;
}

ul, ol {
  flex-flow: column;
 }
 
 ul {
   list-style: none;
 }
 
 li {
   flex-flow: row wrap;
 }
/* Common styles */
body {
  display: flex;
  flex-flow: column;
  overflow-y: auto;
  min-height: 100vh;
}

.material-icons {
  display: inline-flex;
  justify-content: center;
  align-items: center;
}
/* END RESET*/